Citing libra_py_001_05
=============

The library libra_py is an academic project. The time and resources spent developing fastFM are therefore justified 
by the number of citations of the software. If you publish scientific articles using libra_py, please cite the following article (bibtex entry 'citation.bib <http://papers.nips.cc/paper/6288-split-lbi-an-iterative-regularization-path-with-structural-sparsity/bibtex>' ).

    Huang, Chendi and Sun, Xinwei and Xiong, Jiechao and Yao, Yuan. "Split LBI: An Iterative Regularization Path with Structural Sparsity" Advances in Neural Information Processing Systems 29, pp. 3369--3377 (2016)


libra_py_001_05: A Package for sparsity problem
============================================



Usage
-----
.. code-block:: python

    from libra_py_001_05 import lbi
    obj = lbi.LB(X,y,family='gaussian')
    obj.predict(X)


Tutorials and other information are available 'here <https://arxiv.org/abs/1604.05910>' and 
'here <https://www.sciencedirect.com/science/article/pii/S1063520316000038>'.

The R code is available as 'subrepository <https://cran.r-project.org/web/packages/Libra/index.html>'; the Matlab code is available as 'subrepository <https://github.com/yuany-pku/split-lbi>'.

If you have still **questions** after reading the documentation please open a issue at GitHub.

+----------------+------------------+-----------------------------+
| Family         | Solver           | Loss                        |
+================+==================+=============================+
| Gaussian       | LBI_Linear       | Square Loss                 |
+----------------+------------------+-----------------------------+
| Binomial       | LBI_Logit        | Logit Model                 |
+----------------+------------------+-----------------------------+

*Supported solvers and tasks*

Installation
------------

**binary install**

``pip install libra_py_001_05``


Tests
-----
import libra_py_001_05

